Bug 114045 - New ports:devel/ETL;devel/synfig;graphics/synfigstudio A powerful, industrial-strength vector-based 2D animation software package
New ports:devel/ETL;devel/synfig;graphics/synfigstudio A powerful, industrial...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 14:20 UTC by liu_yinghong
Modified: 2007-08-28 11:00 UTC (History)
1 user (show)

See Also:


Attachments
ETL.shar (3.42 KB, text/plain)
2007-06-26 14:20 UTC, liu_yinghong
no flags Details
synfigstudio.shar (9.40 KB, text/plain)
2007-06-26 14:20 UTC, liu_yinghong
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description liu_yinghong 2007-06-26 14:20:02 UTC
port:devel/ETL
	ETL is a multi-platform class and template library designed to add
	new datatypes and functions which combine well with the existing
	types and functions from the C++ Standard Template Library (STL).
port:devel/synfig
	synfig is a vector based 2D animation package. It is designed to be
	capable of producing feature-film quality animation. It eliminates the
	need for tweening, preventing the need to hand-draw each frame. synfig
	features spatial and temporal resolution independence (sharp and smooth
	at any resolution or framerate), high dynamic range images, and a
	flexible plugin system.

	This package contains the renderer used to convert synfig .sif files to
	raster images, videos and other formats. Layer types include geometric,
	gradient, filter, distortion, transformation, fractal and others. Output
	targets include JPEG, PNG, GIF, BMP, PPM, DV, OpenEXR, ffmpeg (MPEG1),
	libavcodec (AVI), imagemagick (MIFF), yuv420p and others.
port:graphics/synfigstudio
	synfigstudio is the animation studio for synfig and provides the GUI
	interface to create synfig animations which are saved in synfig .sif
	format.

WWW: http://www.synfig.com/

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	synfig
#	synfig/Makefile
#	synfig/distinfo
#	synfig/pkg-descr
#	synfig/pkg-plist
#
echo c - synfig
mkdir -p synfig > /dev/null 2>&1
echo x - synfig/Makefile
sed 's/^X//' >synfig/Makefile << 'END-of-synfig/Makefile'
X# New ports collection makefile for:	synfig
X# Date created:				25 Jun 2006
X# Whom:					Yinghong.Liu <liu_yinghong@yahoo.com.cn>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	synfig
XDISTVERSION=	0.61.06
XCATEGORIES=	devel graphics multimedia
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=${PORTNAME}
X
XMAINTAINER=	liu_yinghong@yahoo.com.cn
XCOMMENT=	A vector based 2D animation package
X
XLIB_DEPENDS=	xml\\+\\+-2.6:${PORTSDIR}/textproc/libxml++26 \
X		glibmm-2.4.1:${PORTSDIR}/devel/glibmm \
X		mng.1:${PORTSDIR}/graphics/libmng \
X		png.5:${PORTSDIR}/graphics/png \
X		jpeg.9:${PORTSDIR}/graphics/jpeg \
X		tiff.4:${PORTSDIR}/graphics/tiff \
X		Magick.10:${PORTSDIR}/graphics/ImageMagick \
X		avcodec.1:${PORTSDIR}/multimedia/ffmpeg \
X		dv.4:${PORTSDIR}/multimedia/libdv \
X		IlmImf.4:${PORTSDIR}/graphics/OpenEXR
XBUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/ETL.pc:${PORTSDIR}/devel/ETL
X
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XUSE_LDCONFIG=	yes
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X		LDFLAGS="-L${LOCALBASE}/lib"
X
XPORTDOCS=	AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
X
Xpost-patch:
X	@${REINPLACE_CMD} 's|TARGET_MNG="no"|TARGET_MNG="yes"|' \
X		${WRKSRC}/configure
X	@${REINPLACE_CMD} 's|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|' \
X		${WRKSRC}/Makefile.in
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for doc in ${PORTDOCS}
X	@${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-synfig/Makefile
echo x - synfig/distinfo
sed 's/^X//' >synfig/distinfo << 'END-of-synfig/distinfo'
XMD5 (synfig-0.61.06.tar.gz) = 75f7835a1d8c6af1eb42f323453a37c2
XSHA256 (synfig-0.61.06.tar.gz) = 8ad10f80e35d09534db6cbfaf20972c777128120f5c39229cbe9cf9bd4fe33eb
XSIZE (synfig-0.61.06.tar.gz) = 2047122
END-of-synfig/distinfo
echo x - synfig/pkg-descr
sed 's/^X//' >synfig/pkg-descr << 'END-of-synfig/pkg-descr'
Xsynfig is a vector based 2D animation package. It is designed to be
Xcapable of producing feature-film quality animation. It eliminates the
Xneed for tweening, preventing the need to hand-draw each frame. synfig
Xfeatures spatial and temporal resolution independence (sharp and smooth
Xat any resolution or framerate), high dynamic range images, and a
Xflexible plugin system.
X
XThis package contains the renderer used to convert synfig .sif files to
Xraster images, videos and other formats. Layer types include geometric,
Xgradient, filter, distortion, transformation, fractal and others. Output
Xtargets include JPEG, PNG, GIF, BMP, PPM, DV, OpenEXR, ffmpeg (MPEG1),
Xlibavcodec (AVI), imagemagick (MIFF), yuv420p and others.
X
XWWW: http://www.synfig.com/
END-of-synfig/pkg-descr
echo x - synfig/pkg-plist
sed 's/^X//' >synfig/pkg-plist << 'END-of-synfig/pkg-plist'
Xbin/synfig
Xbin/synfig-config
Xetc/synfig_modules.cfg
Xinclude/synfig-0.0/synfig/activepoint.h
Xinclude/synfig-0.0/synfig/angle.h
Xinclude/synfig-0.0/synfig/blinepoint.h
Xinclude/synfig-0.0/synfig/blur.h
Xinclude/synfig-0.0/synfig/canvas.h
Xinclude/synfig-0.0/synfig/canvasbase.h
Xinclude/synfig-0.0/synfig/color.h
Xinclude/synfig-0.0/synfig/context.h
Xinclude/synfig-0.0/synfig/curve_helper.h
Xinclude/synfig-0.0/synfig/curveset.h
Xinclude/synfig-0.0/synfig/distance.h
Xinclude/synfig-0.0/synfig/exception.h
Xinclude/synfig-0.0/synfig/gamma.h
Xinclude/synfig-0.0/synfig/general.h
Xinclude/synfig-0.0/synfig/gradient.h
Xinclude/synfig-0.0/synfig/guid.h
Xinclude/synfig-0.0/synfig/guidset.h
Xinclude/synfig-0.0/synfig/importer.h
Xinclude/synfig-0.0/synfig/interpolation.h
Xinclude/synfig-0.0/synfig/keyframe.h
Xinclude/synfig-0.0/synfig/layer.h
Xinclude/synfig-0.0/synfig/layer_bitmap.h
Xinclude/synfig-0.0/synfig/layer_composite.h
Xinclude/synfig-0.0/synfig/layer_mime.h
Xinclude/synfig-0.0/synfig/layer_motionblur.h
Xinclude/synfig-0.0/synfig/layer_pastecanvas.h
Xinclude/synfig-0.0/synfig/layer_polygon.h
Xinclude/synfig-0.0/synfig/layer_shape.h
Xinclude/synfig-0.0/synfig/layer_solidcolor.h
Xinclude/synfig-0.0/synfig/listimporter.h
Xinclude/synfig-0.0/synfig/loadcanvas.h
Xinclude/synfig-0.0/synfig/main.h
Xinclude/synfig-0.0/synfig/module.h
Xinclude/synfig-0.0/synfig/mutex.h
Xinclude/synfig-0.0/synfig/node.h
Xinclude/synfig-0.0/synfig/palette.h
Xinclude/synfig-0.0/synfig/paramdesc.h
Xinclude/synfig-0.0/synfig/polynomial_root.h
Xinclude/synfig-0.0/synfig/protocol.h
Xinclude/synfig-0.0/synfig/quick_rng.h
Xinclude/synfig-0.0/synfig/real.h
Xinclude/synfig-0.0/synfig/rect.h
Xinclude/synfig-0.0/synfig/renddesc.h
Xinclude/synfig-0.0/synfig/render.h
Xinclude/synfig-0.0/synfig/savecanvas.h
Xinclude/synfig-0.0/synfig/segment.h
Xinclude/synfig-0.0/synfig/smartfile.h
Xinclude/synfig-0.0/synfig/string.h
Xinclude/synfig-0.0/synfig/string_decl.h
Xinclude/synfig-0.0/synfig/surface.h
Xinclude/synfig-0.0/synfig/surfacenew.h
Xinclude/synfig-0.0/synfig/synfig.h
Xinclude/synfig-0.0/synfig/target.h
Xinclude/synfig-0.0/synfig/target_multi.h
Xinclude/synfig-0.0/synfig/target_null.h
Xinclude/synfig-0.0/synfig/target_null_tile.h
Xinclude/synfig-0.0/synfig/target_scanline.h
Xinclude/synfig-0.0/synfig/target_tile.h
Xinclude/synfig-0.0/synfig/time.h
Xinclude/synfig-0.0/synfig/timepointcollect.h
Xinclude/synfig-0.0/synfig/transform.h
Xinclude/synfig-0.0/synfig/types.h
Xinclude/synfig-0.0/synfig/uniqueid.h
Xinclude/synfig-0.0/synfig/value.h
Xinclude/synfig-0.0/synfig/valuenode.h
Xinclude/synfig-0.0/synfig/valuenode_animated.h
Xinclude/synfig-0.0/synfig/valuenode_bline.h
Xinclude/synfig-0.0/synfig/valuenode_composite.h
Xinclude/synfig-0.0/synfig/valuenode_const.h
Xinclude/synfig-0.0/synfig/valuenode_dynamiclist.h
Xinclude/synfig-0.0/synfig/valuenode_gradientrotate.h
Xinclude/synfig-0.0/synfig/valuenode_linear.h
Xinclude/synfig-0.0/synfig/valuenode_radialcomposite.h
Xinclude/synfig-0.0/synfig/valuenode_reference.h
Xinclude/synfig-0.0/synfig/valuenode_scale.h
Xinclude/synfig-0.0/synfig/valuenode_segcalctangent.h
Xinclude/synfig-0.0/synfig/valuenode_segcalcvertex.h
Xinclude/synfig-0.0/synfig/valuenode_sine.h
Xinclude/synfig-0.0/synfig/valuenode_stripes.h
Xinclude/synfig-0.0/synfig/valuenode_subtract.h
Xinclude/synfig-0.0/synfig/valuenode_timedswap.h
Xinclude/synfig-0.0/synfig/valuenode_twotone.h
Xinclude/synfig-0.0/synfig/vector.h
Xinclude/synfig-0.0/synfig/version.h
Xinclude/synfig-0.0/synfig/waypoint.h
Xlib/libsynfig.la
Xlib/libsynfig.so
Xlib/libsynfig.so.0
Xlib/synfig/modules/liblyr_freetype.la
Xlib/synfig/modules/liblyr_freetype.so
Xlib/synfig/modules/liblyr_freetype.so.0
Xlib/synfig/modules/liblyr_std.la
Xlib/synfig/modules/liblyr_std.so
Xlib/synfig/modules/liblyr_std.so.0
Xlib/synfig/modules/libmod_bmp.la
Xlib/synfig/modules/libmod_bmp.so
Xlib/synfig/modules/libmod_bmp.so.0
Xlib/synfig/modules/libmod_dv.la
Xlib/synfig/modules/libmod_dv.so
Xlib/synfig/modules/libmod_dv.so.0
Xlib/synfig/modules/libmod_ffmpeg.la
Xlib/synfig/modules/libmod_ffmpeg.so
Xlib/synfig/modules/libmod_ffmpeg.so.0
Xlib/synfig/modules/libmod_filter.la
Xlib/synfig/modules/libmod_filter.so
Xlib/synfig/modules/libmod_filter.so.0
Xlib/synfig/modules/libmod_geometry.la
Xlib/synfig/modules/libmod_geometry.so
Xlib/synfig/modules/libmod_geometry.so.0
Xlib/synfig/modules/libmod_gif.la
Xlib/synfig/modules/libmod_gif.so
Xlib/synfig/modules/libmod_gif.so.0
Xlib/synfig/modules/libmod_gradient.la
Xlib/synfig/modules/libmod_gradient.so
Xlib/synfig/modules/libmod_gradient.so.0
Xlib/synfig/modules/libmod_imagemagick.la
Xlib/synfig/modules/libmod_imagemagick.so
Xlib/synfig/modules/libmod_imagemagick.so.0
Xlib/synfig/modules/libmod_jpeg.la
Xlib/synfig/modules/libmod_jpeg.so
Xlib/synfig/modules/libmod_jpeg.so.0
Xlib/synfig/modules/libmod_libavcodec.la
Xlib/synfig/modules/libmod_libavcodec.so
Xlib/synfig/modules/libmod_libavcodec.so.0
Xlib/synfig/modules/libmod_noise.la
Xlib/synfig/modules/libmod_noise.so
Xlib/synfig/modules/libmod_noise.so.0
Xlib/synfig/modules/libmod_openexr.la
Xlib/synfig/modules/libmod_openexr.so
Xlib/synfig/modules/libmod_openexr.so.0
Xlib/synfig/modules/libmod_particle.la
Xlib/synfig/modules/libmod_particle.so
Xlib/synfig/modules/libmod_particle.so.0
Xlib/synfig/modules/libmod_png.la
Xlib/synfig/modules/libmod_png.so
Xlib/synfig/modules/libmod_png.so.0
Xlib/synfig/modules/libmod_ppm.la
Xlib/synfig/modules/libmod_ppm.so
Xlib/synfig/modules/libmod_ppm.so.0
Xlib/synfig/modules/libmod_yuv420p.la
Xlib/synfig/modules/libmod_yuv420p.so
Xlib/synfig/modules/libmod_yuv420p.so.0
Xlibdata/pkgconfig/synfig.pc
X@dirrm lib/synfig/modules
X@dirrm lib/synfig
X@dirrm include/synfig-0.0/synfig
X@dirrm include/synfig-0.0
END-of-synfig/pkg-plist
exit
--- synfig.shar ends here ---
How-To-Repeat: Note:the libraries depend port:multimedia/ffmpeg for (New port)devel/synfig must be upgraded to current version:2007.05.30.
Comment 1 Martin Wilke freebsd_committer 2007-08-20 19:52:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-08-23 15:16:20 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 dfilter freebsd_committer 2007-08-28 10:44:55 UTC
miwi        2007-08-28 09:44:50 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/etl            Makefile distinfo pkg-descr pkg-plist 
  Log:
  ETL is a multi-platform class and template library designed to add
  new datatypes and functions which combine well with the existing
  types and functions from the C++ Standard Template Library (STL).
  
  WWW: http://www.synfig.com/
  
  PR:             ports/114045
  Submitted by:   Yinghong Liu <relaxbsd at gmail.com>
  
  Revision  Changes    Path
  1.2856    +1 -0      ports/devel/Makefile
  1.1       +33 -0     ports/devel/etl/Makefile (new)
  1.1       +3 -0      ports/devel/etl/distinfo (new)
  1.1       +5 -0      ports/devel/etl/pkg-descr (new)
  1.1       +66 -0     ports/devel/etl/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2007-08-28 10:53:07 UTC
miwi        2007-08-28 09:53:01 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/synfig         Makefile distinfo pkg-descr pkg-plist 
  Log:
  synfig is a vector based 2D animation package. It is designed to be
  capable of producing feature-film quality animation. It eliminates the
  need for tweening, preventing the need to hand-draw each frame. synfig
  features spatial and temporal resolution independence (sharp and smooth
  at any resolution or framerate), high dynamic range images, and a
  flexible plugin system.
  
  This package contains the renderer used to convert synfig .sif files to
  raster images, videos and other formats. Layer types include geometric,
  gradient, filter, distortion, transformation, fractal and others. Output
  targets include JPEG, PNG, GIF, BMP, PPM, DV, OpenEXR, ffmpeg (MPEG1),
  libavcodec (AVI), imagemagick (MIFF), yuv420p and others.
  
  WWW: http://www.synfig.com/
  
  PR:             ports/114045
  Submitted by:   Yinghong.Liu <relaxbsd at gmail.com>
  
  Revision  Changes    Path
  1.2857    +1 -0      ports/devel/Makefile
  1.1       +49 -0     ports/devel/synfig/Makefile (new)
  1.1       +3 -0      ports/devel/synfig/distinfo (new)
  1.1       +14 -0     ports/devel/synfig/pkg-descr (new)
  1.1       +150 -0    ports/devel/synfig/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2007-08-28 10:54:24 UTC
miwi        2007-08-28 09:54:20 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/synfigstudio Makefile distinfo pkg-descr pkg-plist 
    graphics/synfigstudio/files patch-src_synfigapp_cvs.cpp 
  Log:
  synfigstudio is the animation studio for synfig and provides the GUI
  interface to create synfig animations which are saved in synfig .sif
  format.
  
  WWW: http://www.synfig.com/
  
  PR:             ports/114045
  Submitted by:   Yinghong.Liu <relaxbsd at gmail.com>
  
  Revision  Changes    Path
  1.1096    +1 -0      ports/graphics/Makefile
  1.1       +41 -0     ports/graphics/synfigstudio/Makefile (new)
  1.1       +3 -0      ports/graphics/synfigstudio/distinfo (new)
  1.1       +24 -0     ports/graphics/synfigstudio/files/patch-src_synfigapp_cvs.cpp (new)
  1.1       +5 -0      ports/graphics/synfigstudio/pkg-descr (new)
  1.1       +146 -0    ports/graphics/synfigstudio/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2007-08-28 10:55:25 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!